package com.microservices.cms.common.service;

import com.microservices.system.api.domain.SysUser;

/**
 * @author otto
 */
public interface ISysUserService {
    /**
     * 通过用户名查找用户
     *
     * @param username
     * @return
     */
    SysUser selectUserByUserName(String username);

    /**
     * 通过用户Id查找用户
     *
     * @param userId
     * @return
     */
    SysUser selectUserById(Long userId);

    /**
     * 获取当前登录用户
     *
     * @return
     */
    SysUser getCurrentUser();
}
